#procedure pushgamma5()

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Procedure to push gamma5 to right in fermion chains
** Begun on 07/02/03

#do line=1,`EXTFERMICURRENTS'

repeat;
** Anticonmuting (Conmuting)
id gamma5(`line')*gamma(`line',?a)=-gamma(`line',?a)*gamma5(`line');
id ident(`line')*gamma(`line',?a)=gamma(`line',?a)*ident(`line');

** Squaring
id gamma5(`line')*ident(`line')=gamma5(`line');
id ident(`line')*gamma5(`line')=gamma5(`line');
id gamma5(`line')*gamma5(`line')=ident(`line');
id ident(`line')*ident(`line')=ident(`line');
endrepeat;
#enddo

#endprocedure
*$Id: pushgamma5.prc,v 1.4 2004/10/08 14:28:12 alorca Exp $
