C File <beta.f> containing the function BETA(sman,mm1,mm2)
C This file is part of aITALC
C Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
C-----------------------------------------------------------------------
      double precision function BETA(sman,mm1,mm2)
C-----------------------------------------------------------------------
      implicit none
      double precision sman,mm1,mm2
      double precision plus,minus,sqrtplus

      plus= mm1+mm2
      minus=mm1-mm2
      sqrtplus=DSQRT(mm1)+DSQRT(mm2)
C-----------------------------------------------------------------------
      if (DSQRT(sman).LE.sqrtplus) then
        print *,'BETA.f: Mandelstam variable SQRT(s) <= m1+m2'
        BETA=0d0
      else
        BETA=DSQRT( 1 - 2*plus/sman + (minus/sman)**2 )
      endif
C-----------------------------------------------------------------------
      return
      end

CC $Id: beta.f,v 1.6 2004/10/08 12:53:09 alorca Exp $
